<?php
namespace Claromentis\Documents\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_147160a2e585c182c1b1349779" . "a20ca3" => base64_decode("dGFnZ2Vkc19hZmZlY3Rl" . "ZA=="), "_7f628626dd1d55c71b1" . "fc0932ffd1d2c" => base64_decode("aXNfYXJy" . "YXk="), "_2ddb0d63" . "8f8b0800a" . "c1e678385" . "d1d13f" => base64_decode("dGFnZ2Vkcw" . "=="), "_cc13a0811453f376ca3d9" . "bf4073f66b6" => base64_decode("UmVpbmRleERv" . "Y3VtZW50cw=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use ERMSObject;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class TagsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_147160a2e" . "585c182c1b" . "1349779a20" . "ca3"] => $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_cc13a0811453f376ca" . "3d9bf4073f66b6"]];
    }
    
    
    
    
    
    
    public function ReindexDocuments(GenericEvent $event)
    {
        $arguments = $event->getArguments();
        if (!isset($arguments[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2ddb0d638f8b0800" . "ac1e678385d1d13f"]][AGGREGATION_DATA])) {
            return;
        }
        $_54a4e641f6b0a82e03c3b14120cbf5f0 = $arguments[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2ddb0d638f8b08" . "00ac1e678385d1d" . "13f"]][AGGREGATION_DATA];
        if (!$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7f628626dd1d55c71b1" . "fc0932ffd1d2c"]($_54a4e641f6b0a82e03c3b14120cbf5f0)) {
            return;
        }
        foreach ($_54a4e641f6b0a82e03c3b14120cbf5f0 as $_f0abe7892aa8bbbd0c1198602164aa17) {
            IndexingQueue::Reindex(ERMSObject::GetSearchTypeFromAggregation(AGGREGATION_DATA), $_f0abe7892aa8bbbd0c1198602164aa17);
        }
    }
}